API requirements in 2019 now on level 28 for Android 9 Pie

0
206

The Android Q is now part of the rumor mill but before the new Android dessert is served or previewed, we’re interested to know more about the other upgrades available for Google Play in general. API behaviors are constantly changing and as such, they can advance the privacy and security of Android. A number of improvements are being made to further enhance different user experiences. Memory and battery usage are being given focus now so more mobile consumers will be able to make the most of a smartphone.

From targeting API level 26 (Android 8.0), Android users can now take advantage of more APIs. There are newer APIs available that deliver major privacy and security benefits. This 2019, some Google Play requirements are changing which could mean app distribution will also change.

By August 2019, new apps must target API level 28 (Android 9) or higher. Existing apps must be updated and then target the same level by November. Apps no longer updated will also not be affected.

As for those apps distributed via other stores (not via the Play Store), those other OEMs must at least target API level 26 (Android 8.0). Doing this will improve the app ecosystem’s security.

You see, most malware or spyware (about 95%) have been found to be using API level 22 or lower. They are intentionally used so they can avoid runtime permissions. In the near future, the Google Play Protect will warn users when apps from an outside source don’t target the required API level.

SOURCE: Android Developers Blog

via Android Community

February 22, 2019 at 10:04AM